import {
  select,
  json,
  geoPath,
  geoAlbersUsa,
  geoMercator,
} from 'd3';
//this is to import all the features that are considere from the countries data
import { feature, mesh } from 'topojson';

// Taking the svg and using it for projection and that the data is projected for country usa
const svg = select('svg');
const projection = geoAlbersUsa();
const pathGenerator = geoPath().projection(projection);

// To take the data from teh link that is projected and the data is used
json(
  'https://cdn.jsdelivr.net/npm/us-atlas@3.0.0/counties-10m.json'
).then((data) => {
  
  //to set the data as the properties and features to generate perticualr country features
  const counties = feature(data, data.objects.counties);
  svg
    .selectAll('path')
    .data(counties.features)
    .enter()
    .append('path')
    .attr('class', 'counties')
    .attr('d', (d) => pathGenerator(d))
    .append('title')
    .text(d=>d.properties.name);
});
